// 路由注册-小程序登录
// 秒寻科技
// zt
//2024-02-22

package wxminiloginrouter

import (
	"ipsomc/core/gin/midware/endecrypt"
	"ipsomc/core/gin/midware/islogin"
	"ipsomc/core/wxminilogin/wxminiloginhandler"

	"github.com/gin-gonic/gin"
)

// 配置项目路由
func SetRouter(r *gin.RouterGroup) {
	groupRouter := r.Group("/wxlogin") //路由分组
	groupHand := wxminiloginhandler.WxminiLoginHan{}

	//请求参数解密
	groupRouter.Use(endecrypt.MobileDecryptReqParam())

	groupRouter.POST("/userMobileLogin", groupHand.UserMobileLoginHan)

	//用户登录检查，该"行"后面的接口都需要用户登录后方可操作
	groupRouter.Use(islogin.MobileIsLogin())
}
